import request from '@/utils/request'

// 查询咨询报告列表
export function listFsFollowReport(query) {
  return request({
    url: '/his/FsFollowReport/list',
    method: 'get',
    params: query
  })
}

// 查询咨询报告详细
export function getFsFollowReport(id) {
  return request({
    url: '/his/FsFollowReport/' + id,
    method: 'get'
  })
}

// 新增咨询报告
export function addFsFollowReport(data) {
  return request({
    url: '/his/FsFollowReport',
    method: 'post',
    data: data
  })
}

// 修改咨询报告
export function updateFsFollowReport(data) {
  return request({
    url: '/his/FsFollowReport',
    method: 'put',
    data: data
  })
}

// 删除咨询报告
export function delFsFollowReport(id) {
  return request({
    url: '/his/FsFollowReport/' + id,
    method: 'delete'
  })
}

// 导出咨询报告
export function exportFsFollowReport(query) {
  return request({
    url: '/his/FsFollowReport/export',
    method: 'get',
    params: query
  })
}